Bug Hunting Session
Bug 113956 - FILEOPEN: Incorrect border in embedded table
Summary: FILEOPEN: Incorrect border in embedded table
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-11-20 19:25 UTC by Xisco Faulí
Modified: 2017-11-26 20:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
comparison LibreOffice 6.0 and MSO 2010 (42.95 KB, image/png)
2017-11-20 19:25 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-11-20 19:25:30 UTC
Created attachment 137876 [details]
comparison LibreOffice 6.0 and MSO 2010

Steps to reproduce:
1. Open attachment 130948 [details] from bug 130948

Observed behaviour: bottom and right borders are gone. See screenshot attached


Reproduced in

Version: 6.0.0.0.alpha1+
Build ID: 637d96a25926e299fff5b4cf5a0055b1d171b23b
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: th-TH (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-11-20 19:27:31 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2017-10-25 15:47:36 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2017-10-25 19:30:39 (GMT)
commit	304d42342bd359de97a5863febd992d2ce2f21ca (patch)
tree	35e6d0f48daa46ebc78149fd1e9a416a1ab389c6
parent	71518d1898e574351dab4513a2d55bbed2b47fe3 (diff)
ofz#3374 Integer-overflow

Bisected with: bibisect-linux64-6.0

Adding Cc: to Caolán McNamara

[Bug found by office-interoperability-tools]
Comment 2 Commit Notification 2017-11-21 10:56:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c8b0bd4f755c427e1e66d5c12d2a49d32fa64373

Resolves: tdf#113956 Revert ofz#3374 Integer-overflow

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2017-11-21 10:59:17 UTC
bah, thought that would work, should have known it wouldn't
Comment 4 Xisco Faulí 2017-11-26 20:07:02 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: 2618e4a13d719122e6358d9d96864d1691e56a02
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: th-TH (ca_ES.UTF-8); Calc: group threaded